<?php

function FloatingLight_widgets_init() {    
	register_sidebar(array(
	    'id' => 'sidebar',
		'name' =>  'sidebar',
		'before_widget' => '<li id="%1$s" class="side widget %2$s">', 
		'after_widget' => '</li>',
		'before_title' => '<h3 class="title3">', 
		'after_title' => '</h3>' 
	));
 
}

add_action( 'widgets_init', 'FloatingLight_widgets_init');

if ( ! isset( $content_width ) )
	$content_width = 570;

function FloatingLight_setup() {


	add_custom_background();

	add_editor_style();


	add_theme_support( 'post-thumbnails' );
	

	add_theme_support( 'automatic-feed-links' );
	
		register_nav_menus( array(
		'primary' =>'Primary Menu',
	) );		
			
			
	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
			


	
	
	
	defined( 'HEADER_IMAGE' );
	define( 'HEADER_IMAGE', '%s/images/banner.jpg' );

	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'FloatingLight_header_image_width', 960 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'FloatingLight_header_image_height', 200 ) );

	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
	
	define( 'NO_HEADER_TEXT', true );


	add_custom_image_header( 'FloatingLight_header_style', 'FloatingLight_admin_header_style' );
	
	function FloatingLight_header_style() {
				?>
<style type="text/css">
#img_bg {
}
</style>
<?php
			}
	
	
	function FloatingLight_admin_header_style() {
				?>
<style type="text/css">
#img_bg {
 width: <?php echo HEADER_IMAGE_WIDTH;
 ?>px;
 height: <?php echo HEADER_IMAGE_HEIGHT;
 ?>px;
}
</style>
<?php
			}
			
			
			
			
}
add_action( 'after_setup_theme', 'FloatingLight_setup' );





function FloatingLight_datestyle(){
	
  echo '<p>'.get_the_time('Y').'<br /><span class="date"><a href="'.get_permalink().'" rel="bookmark" title="<?php the_title(); ?>">'.get_the_time('m').'/'.get_the_time('d').'</a> </span>
      </p>';
	
}




?>
