
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="leftinfo">
    <?php FloatingLight_datestyle();?>
    <p>Category:<br />
      <?php the_category('<br /> ') ?>
    </p>
    <p>
      <?php the_tags('TAG:<br />', ' <br /> ' , ''); ?>
    </p>
    <p>
    <p>COMMENTS:<br />
      <?php comments_popup_link('No Comments &#187;','1 Comment &#187;','% Comments &#187;', '','Comments Closed' ); ?>
    </p>
    <p>
      <?php edit_post_link('Edit ', '', ''); ?>
    </p>
  </div>
  <div class="righttext">
    <h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
      <?php the_title(); ?>
      </a></h2>
    <div class="entry-meta">
      <?php

									printf( '
										   <a href="%3$s" title="Link to full-size image">'.get_the_title().'</a> 
<span class="meta-prep meta-prep-entry-date">Published </span> 
										   <span class="entry-date">
										   <abbr class="published" title="%1$s">%2$s</abbr>
										   </span> 
										   in <a href="%4$s" title="Return to %5$s" rel="gallery">%6$s</a>',
										esc_attr( get_the_time() ),
										get_the_date(),
										esc_url( wp_get_attachment_url() ),
										esc_url( get_permalink( $post->post_parent ) ),
										esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
										get_the_title( $post->post_parent )
									);
								?>
    </div>
    <!-- .entry-meta -->
    <div class="entry">
      <?php
	/**
	 * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
	 * or the first image (if we're looking at the last image in a gallery), or, in a gallery of one, just the link to that image file
	 */
	$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
	foreach ( $attachments as $k => $attachment ) {
		if ( $attachment->ID == $post->ID )
			break;
	}
	$k++;
	// If there is more than 1 attachment in a gallery
	if ( count( $attachments ) > 1 ) {
		if ( isset( $attachments[ $k ] ) )
			// get the URL of the next image attachment
			$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
		else
			// or get the URL of the first image attachment
			$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
	} else {
		// or, if there's only 1 image, get the URL of the image
		$next_attachment_url = wp_get_attachment_url();
	}
?>
      <a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment">
      <?php
									$attachment_size = apply_filters( 'FloatingLight_attachment_size', 848 );
									echo wp_get_attachment_image( $post->ID, array( $attachment_size, 1024 ) ); // filterable image width with 1024px limit for image height.
									?>
      </a>
      <?php if ( ! empty( $post->post_excerpt ) ) : ?>
      <div class="entry-caption">
        <?php the_excerpt(); ?>
      </div>
      <?php endif; ?>
    </div>
    <div class="navigation">
      <div class="alignleft">
        <?php previous_image_link( false,'&larr; Previous' ); ?>
      </div>
      <div class="alignright">
        <?php next_image_link( false, 'Next &rarr;' ); ?>
      </div>
    </div>
  </div>
  <div class="cb"></div>
</div>
<!-- #post-<?php the_ID(); ?> -->
